API Docs
AbsenceAbsence Additional ContingentAbsence ContingentAccountAccountingAccounting ContactAdded ValueAsset AccountAttachmentAttendanceAuthBank AccountCatalogCommissionContactCraftCredit InvoiceCreditorCustom FilterCustom ReportCustomerCustomFieldDashboardDebitorEmailEmployment ContractEstimateFinanceFinance JournalFinance Journal PositionsFinDocCategoryFollowupForecastGeneral InfoHolidayIntegrationsInvoiceJobJob TasksLogin MethodMeMetricsOffice LocationOrder ConfirmationOrganisationPaymentPersonProcedureProcedure ViewPurchase InvoicePurchase OrderReportResource PlanningSnippetTargetTeamTemplateTimeUserUser CraftUser GroupUser Group ActionsUser Group UsersWorkPattern
GETJob
/job
List jobs
get jobs
Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| account_id | integer | No | No description. |
| account_ids | array<integer> | No | No description. |
| custom_fields | boolean | No | if true fetches the custom fields |
| customer_id | integer | No | No description. |
| customer_ids | array<integer> | No | No description. |
| job_ids | array<integer> | No | optional, if empty all jobs |
| statuses | array<string> | No | optional, if empty all statuses |
| user_id | integer | No | No description. |
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/job?account_id=123&account_ids=123' \
-H 'Accept: application/json' \
-H 'Authorization: Session Token'Responses
200OK
array<app.Job>application/json
Example
[
{
"account": {...},
"account_id": 123,
"accumulated_agency_service": "string",
"accumulated_budget": "string",
"accumulated_external_service": "string",
"address": {...},
"address_id": 123,
"alert_agency_service_budget": true,
"alert_craft_budget": true,
"alert_external_service_budget": true,
"alert_total_budget": true,
"custom_fields": [
{...}
],
"date_created": 123,
"date_modified": 123,
"date_start": 123,
"date_termination": 123,
"description": "string",
"disable_authentication": true,
"force_time_tracking_note": true,
"force_time_tracking_to_position_or_procedure": true,
"forecast_mode_agency_services": "budget",
"forecast_mode_external_services": "budget",
"forecast_mode_income": "budget",
"has_agency_service": true,
"id": 123,
"identification_code": "string",
"invoice_address": {...},
"invoice_address_id": 123,
"invoice_email": "string",
"invoice_organisation": {...},
"invoice_organisation_id": 123,
"invoice_person": {...},
"invoice_person_id": 123,
"last_modifier": 123,
"name": "string",
"organisation": {...},
"organisation_id": 123,
"person": {...},
"person_id": 123,
"report_agency_service_figure": "agencyService",
"report_budget_figure": "budget",
"report_external_service_figure": "buy",
"small_account": {...},
"small_user": {...},
"status": "aktiv",
"subscribed_users": [
{...}
],
"threshold_agency_service_budget": "string",
"threshold_craft_budget": "string",
"threshold_external_service_budget": "string",
"threshold_total_budget": "string",
"user": {...},
"user_id": 123
}
]400Bad Request
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}404Not Found
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}500Internal Server Error
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}